## qubes-u2f 1.2.3%2Bdeb10u1

=== debian/changelog ===
qubes-u2f (1.2.3+deb10u1) buster; urgency=medium

  * Build for buster

 -- Marek Marczykowski-Górecki <user@build-debian4>  Sat, 03 Nov 2018 03:44:01 +0000

qubes-u2f (1.2.3) unstable; urgency=medium

  * rpm: make the package centos-friendly
  * exclude build on centos7
  * Use simplified script for /usr/bin
  * add shebang to /etc/qubes-rpc/* scripts
  * Advertise qubes-u2f-proxy service

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 03 Nov 2018 04:33:55 +0100

qubes-u2f (1.2.2) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 10 Sep 2018 21:21:34 +0200

qubes-u2f (1.2.1) unstable; urgency=medium

  [ Wojtek Porczyk ]
  * README: HOWTO

  [ Marek Marczykowski-Górecki ]
  * rpm: update packaging for mockbuild
  * travis: initial version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 10 Sep 2018 21:02:28 +0200

qubes-u2f (1.2.0) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix files permissions
  * Pack U2FHIDInitResp (#11)

  [ Wojtek Porczyk ]
  * qubesu2f/proto: asserts for struct's size
  * qubesu2f/hidemu: fix race condition aound U2FHIDChannel.execute()
  * qubesu2f: improve logging
  * qubesu2f/tools/u2fdump: fix SIGINT handling
  * qubesu2f: log qrexec argument while registering
  * qubesu2f/tools/u2fdump: misc & pylint fixes
  * qubesu2f/tools: common logging setup
  * qubesu2f: improve handling of irregular situations
  * qubesu2f/tools/qu2f_register: use policy.RegisterArgument

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 04 Dec 2017 18:02:27 +0100

qubes-u2f (1.1.1) unstable; urgency=medium

  * Use dummy service instead of DefaultInstance=

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 18 Nov 2017 00:13:13 +0100

qubes-u2f (1.1.0) unstable; urgency=medium

  [ Wojtek Porczyk ]
  * Add .pylintrc
  * Documentation updates
  * Fixes from Marek's review
  * Misc fixes
  * Added sphinx documentation and manpages
  * packaging
  * Some housekeeping around (disabled) u2fdump tool
  * qubesu2f/uhid: change default bus to BLUETOOTH
  * qubes-rpc-policy: user=root
  * udev/
  * README: diagram and requirements

  [ Marek Marczykowski-Górecki ]
  * rpm: add missing BuildRequires
  * Exclude build on jessie
  * rpm: fix qubes-u2f-dom0 package name

  [ Wojtek Porczyk ]
  * Fixes from Marek's commit comments
  * systemd: fix path in the .service file
  * Documentation: disable intersphinx
  * qubesu2f/utils: fix NOTIFY_SOCKET
  * udev: fix permission changing
  * qubesu2f: fix u2fdump and record example transaction
  * qubesu2f: add tests
  * qubesu2f/tests: add conformance tests
  * misc small fixes

  [ Marek Marczykowski-Górecki ]
  * Enable qubes-u2f-proxy service using qubes-service framework

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 17 Nov 2017 23:32:21 +0100

qubes-u2f (1.0.0) unstable; urgency=low

  * Initial Release.

 -- Wojtek Porczyk <woju@invisiblethingslab.com>  Fri, 27 Oct 2017 04:34:23 +0200

## qubes-u2f 1.2.3%2Bdeb11u1

=== debian/changelog ===
qubes-u2f (1.2.3+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 03 Nov 2018 04:33:55 +0100

## qubes-u2f 1.2.5%2Bdeb9u1

=== debian/changelog ===
qubes-u2f (1.2.5+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 28 Oct 2019 04:38:49 +0100

qubes-u2f (1.2.5) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 28 Oct 2019 04:38:49 +0100

qubes-u2f (1.2.4) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix typo in qubes-u2fproxy.service file
  * travis: switch to xenial, update distributions

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 28 Oct 2019 04:25:12 +0100

## qubes-u2f 1.2.5%2Bdeb11u1

=== Makefile ===
PYTHON ?= python3
UNITDIR ?= /usr/lib/systemd/system
PRESETDIR ?= /usr/lib/systemd/system-preset
MANDIR ?= /usr/share/man
QREXECDIR ?= /etc/qubes-rpc
UDEVRULESDIR ?= /lib/udev/rules.d
POSTINSTALLDIR ?= /etc/qubes/post-install.d

.PHONY: all
all:
	$(PYTHON) setup.py build

.PHONY: install
install:
	$(PYTHON) setup.py install -O1 --skip-build --root $(DESTDIR) \
		$(SETUPOPTS)
	install -d $(DESTDIR)$(UNITDIR)
	install -m 0644 -t $(DESTDIR)$(UNITDIR) systemd/*.service
	install -d $(DESTDIR)$(PRESETDIR)
	install -m 0644 -t $(DESTDIR)$(PRESETDIR) systemd/*.preset
	install -d $(DESTDIR)$(QREXECDIR)
	install -t $(DESTDIR)$(QREXECDIR) qubes-rpc/*
	install -d $(DESTDIR)$(UDEVRULESDIR)
	install -m 0644 -t $(DESTDIR)$(UDEVRULESDIR) udev/*
	install -d $(DESTDIR)$(POSTINSTALLDIR)
	install -t $(DESTDIR)$(POSTINSTALLDIR) post-install.d/*.sh

.PHONY: install
install-policy:
	install -d $(DESTDIR)$(QREXECDIR)/policy
	install -m 0664 -t $(DESTDIR)$(QREXECDIR)/policy qubes-rpc-policy/*

.PHONY: clean
clean:
	$(RM) -r build dist *.egg-info */__pycache__

## qubes-u2f 1.2.5%2Bdeb10u1

=== debian/changelog ===
qubes-u2f (1.2.5+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Mon, 28 Oct 2019 04:38:49 +0100

=== debian/control ===
Source: qubes-u2f
Section: utils
Priority: optional
Maintainer: Wojtek Porczyk <woju@invisiblethingslab.com>
Build-Depends:
 python3-sphinx,
 debhelper (>= 9), dh-python, dh-systemd, python3-all, python3-setuptools
X-Python3-Version: >= 3.5
Standards-Version: 3.9.5
Homepage: https://github.com/QubesOS/qubes-app-u2f.git
Vcs-Git: https://github.com/QubesOS/qubes-app-u2f.git
Vcs-Browser: https://github.com/QubesOS/qubes-app-u2f.git

Package: qubes-u2f
Architecture: all
Depends:
 python3-u2flib-host,
 ${python3:Depends},
 ${misc:Depends}
Description: Qubes OS U2F proxy
 A secure forwarder for U2F messages.

## qubes-u2f 1.2.5%2Bdeb11u1

=== debian/changelog ===
qubes-u2f (1.2.5+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 28 Oct 2019 04:38:49 +0100

## qubes-u2f 1.2.8%2Bdeb10u1

=== debian/changelog ===
qubes-u2f (1.2.8+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Mon, 25 Jan 2021 01:26:37 +0100

qubes-u2f (1.2.8) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 25 Jan 2021 01:26:37 +0100

qubes-u2f (1.2.7) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 25 Jan 2021 01:25:46 +0100

qubes-u2f (1.2.6) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to dom0 Fedora 31
  * Update travis
  * Add .gitlab-ci.yml
  * debian: update control && compat
  * debian: update python deps
  * Fix build with python3 for CentOS

  [ Marek Marczykowski-Górecki ]
  * Exclude CentOS build

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 25 Jan 2021 01:06:43 +0100

## qubes-u2f 1.2.8%2Bdeb11u1

=== debian/changelog ===
qubes-u2f (1.2.8+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 25 Jan 2021 01:26:37 +0100

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_NAME=qubesu2f

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3,systemd --buildsystem=pybuild

override_dh_auto_build:
	$(MAKE)
	$(MAKE) -C Documentation man

override_dh_install:
	make install DESTDIR=$(CURDIR)/debian/qubes-u2f \
		SETUPOPTS=--install-layout=deb \
		UNITDIR=/lib/systemd/system \
		PRESETDIR=/lib/systemd/system-preset
	$(MAKE) -C Documentation install DESTDIR=$(CURDIR)/debian/qubes-u2f

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## qubes-u2f 1.2.9%2Bdeb10u1

=== debian/changelog ===
qubes-u2f (1.2.9+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Mon, 24 May 2021 04:22:49 +0200

qubes-u2f (1.2.9) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 24 May 2021 04:22:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,13 @@
 Priority: optional
 Maintainer: Wojtek Porczyk <woju@invisiblethingslab.com>
 Build-Depends:
- python3-sphinx,
- debhelper (>= 9), dh-python, dh-systemd, python3-all, python3-setuptools
-X-Python3-Version: >= 3.5
-Standards-Version: 3.9.5
+ debhelper,
+ dh-python,
+ python3-all,
+ python3-setuptools,
+ python3-sphinx
+X-Python3-Version: >= 3.7
+Standards-Version: 4.4.0.1
 Homepage: https://github.com/QubesOS/qubes-app-u2f.git
 Vcs-Git: https://github.com/QubesOS/qubes-app-u2f.git
 Vcs-Browser: https://github.com/QubesOS/qubes-app-u2f.git

## qubes-u2f 1.2.9%2Bdeb11u1

=== Documentation/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = QubesU2Fproxy
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

MANDIR = /usr/share/man
install:
	for chapter in 1 8; do \
		install -d $(DESTDIR)$(MANDIR)/man$${chapter}; \
		install -t $(DESTDIR)$(MANDIR)/man$${chapter} \
			$(BUILDDIR)/man/*.$${chapter}*; \
	done

.PHONY: help install Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
qubes-u2f (1.2.9+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 24 May 2021 04:22:49 +0200

## qubes-u2f 1.2.10%2Bdeb11u1

=== debian/changelog ===
qubes-u2f (1.2.10+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 04 Nov 2022 16:20:20 +0100

qubes-u2f (1.2.10) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Disable build for centos-stream too

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Add Qubes Builder v2 integration
  * debian: ensure to clean pycache artifacts
  * .qubesbuilder: replace 'spec' by 'build'

  [ Marek Marczykowski-Górecki ]
  * Disable on centos-stream8 with builderv2 too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 04 Nov 2022 16:20:20 +0100

## qubes-u2f 1.2.10%2Bdeb12u1

=== debian/changelog ===
qubes-u2f (1.2.10+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 04 Nov 2022 16:20:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,10 @@
 		PRESETDIR=/lib/systemd/system-preset
 	$(MAKE) -C Documentation install DESTDIR=$(CURDIR)/debian/qubes-u2f
 
+override_dh_clean:
+	dh_clean -O--buildsystem=pybuild
+	make clean
+
 # debmake generated override targets
 # This is example for Cmake (See http://bugs.debian.org/641051 )
 #override_dh_auto_configure:

## qubes-u2f 1.2.10%2Bjammy1

=== debian/changelog ===
qubes-u2f (1.2.10+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 04 Nov 2022 16:20:20 +0100
